/*# ---------------------------------------------------------------------
#
# Copyright (c) CREATIS (Centre de Recherche en Acquisition et Traitement de l'Image
#                        pour la Sant�)
# Authors : Eduardo Davila, Frederic Cervenansky, Claire Mouton
# Previous Authors : Laurent Guigues, Jean-Pierre Roux
# CreaTools website : www.creatis.insa-lyon.fr/site/fr/creatools_accueil
#
#  This software is governed by the CeCILL-B license under French law and
#  abiding by the rules of distribution of free software. You can  use,
#  modify and/ or redistribute the software under the terms of the CeCILL-B
#  license as circulated by CEA, CNRS and INRIA at the following URL
#  http://www.cecill.info/licences/Licence_CeCILL-B_V1-en.html
#  or in the file LICENSE.txt.
#
#  As a counterpart to the access to the source code and  rights to copy,
#  modify and redistribute granted by the license, users are provided only
#  with a limited warranty  and the software's author,  the holder of the
#  economic rights,  and the successive licensors  have only  limited
#  liability.
#
#  The fact that you are presently reading this means that you have had
#  knowledge of the CeCILL-B license and that you accept its terms.
# ------------------------------------------------------------------------ */

#ifndef MARDICTIONARY_H
#define MARDICTIONARY_H


#include <vector>


class marDictFrase{
public:
	marDictFrase(int id,char*frase);
	~marDictFrase();
	int		GetIdFrase();
	char*	GetFrase();
private:
	int		_idfrase;
	char	*_frase;
};




// Define a new application type, each program should derive a class from wxApp
class marDictionary {
public:
			marDictionary();
			~marDictionary();
	void	ResetDictionary();
	void	SetLanguage(int language);
	char*	GetString(int id);
	int		GetLanguage();
	bool	LoadDictionaryFile(char *dictionaryFileName);
	void	LoadDictionary_English();
	void	LoadDictionary_French();
	void	LoadDictionary_Japanese();

	void	FreeDictionary();


private:
			char						 _emptyStr[30];
	static	int							 _language;	
	static	std::vector<marDictFrase*>  *_frases;

			bool ExistFileDictionary(char *dictionaryFileName);
			void SetString(int id,char *ss);
};


#endif // MARDICTIONARY_H
