/*# ---------------------------------------------------------------------
#
# Copyright (c) CREATIS (Centre de Recherche en Acquisition et Traitement de l'Image
#                        pour la Sant�)
# Authors : Eduardo Davila, Frederic Cervenansky, Claire Mouton
# Previous Authors : Laurent Guigues, Jean-Pierre Roux
# CreaTools website : www.creatis.insa-lyon.fr/site/fr/creatools_accueil
#
#  This software is governed by the CeCILL-B license under French law and
#  abiding by the rules of distribution of free software. You can  use,
#  modify and/ or redistribute the software under the terms of the CeCILL-B
#  license as circulated by CEA, CNRS and INRIA at the following URL
#  http://www.cecill.info/licences/Licence_CeCILL-B_V1-en.html
#  or in the file LICENSE.txt.
#
#  As a counterpart to the access to the source code and  rights to copy,
#  modify and redistribute granted by the license, users are provided only
#  with a limited warranty  and the software's author,  the holder of the
#  economic rights,  and the successive licensors  have only  limited
#  liability.
#
#  The fact that you are presently reading this means that you have had
#  knowledge of the CeCILL-B license and that you accept its terms.
# ------------------------------------------------------------------------ */

// -*- C++ -*- generated by wxGlade 0.3pre1 on Thu Jul 17 15:06:51 2003

#include <wx/wx.h>
#include <wx/image.h>

#ifndef wxParametersDialog_H
#define wxParametersDialog_H

// begin wxGlade: dependencies
#include <wx/notebook.h>
// end wxGlade


class wxParametersDialog: public wxDialog {
public:
    // begin wxGlade: wxParametersDialog::ids
    enum {
        ID_BTN_BROWSE_WORK_DIR = 1024,
			ID_BTN_BROWSE_DICOM_DIR = 1025,
			ID_BTN_3D_BACK_COLOR = 1026,
			ID_BTN_AXIS_COLOR = 1027,
			ID_BTN_RESET = 1028,
			ID_BTN_APPLY = 1029,
			ID_BTN_DEFAULT = 1030
    };
    // end wxGlade
	
    wxParametersDialog(wxWindow* parent, int id, const wxString& title, 
		               const wxPoint& pos=wxDefaultPosition, const wxSize& size=wxDefaultSize, 
					   long style=wxDEFAULT_DIALOG_STYLE);
	
private:
    // begin wxGlade: wxParametersDialog::methods
    void set_properties();
    void do_layout();
    // end wxGlade
	
protected:
    // begin wxGlade: wxParametersDialog::attributes
	// PS -> //    wxStaticText* label_1_copy;
	// PS -> //    wxTextCtrl* edtWorkDir;
	// PS -> //    wxButton* button_4_copy;
	// PS ->     wxStaticText* label_2_copy;
	// PS ->     wxTextCtrl* edtDICOMDir;
	// PS ->     wxButton* button_5_copy;
	// PS ->     wxCheckBox* chkMIP;
	// PS ->     wxCheckBox* chkSlices;
	// PS ->     wxCheckBox* chkDebugWindow;
	// PS ->     wxCheckBox* chkConsole;
	// PS -> //    wxStaticText* label_29;
	// PS -> //    wxButton* btn3DBackColor;
	// PS ->     wxPanel* notebookParameterGeneral;
	// PS -> //    wxRadioButton* radIsoContours;
	// PS -> //    wxRadioButton* radDeriche;
    wxStaticText* label_7_copy;
    wxTextCtrl* edtThresholdIsoContours;
	// PS -> //    wxRadioButton* radSnake;
	// PS -> //    wxStaticText* label_8_copy;
	// PS -> //    wxTextCtrl* edtThresholdSnake;
	// PS -> //    wxStaticText* label_9_copy;
	// PS -> //    wxTextCtrl* edtIterationsSnake;
	// PS -> //    wxStaticText* label_10_copy;
	// PS -> //    wxTextCtrl* edtExternCoefSnake;
	// PS -> //    wxStaticText* label_3_copy;
	// PS -> //    wxTextCtrl* edtIterationsDeriche;
	// PS -> //    wxStaticText* label_4_copy;
	// PS -> //    wxTextCtrl* edtBallonCoefDeriche;
	// PS -> //    wxStaticText* label_5_copy;
	// PS -> //    wxTextCtrl* edtGradientCoefDeriche;
	// PS -> //    wxStaticText* label_6_copy;
	// PS -> //    wxTextCtrl* edtSigmaDeriche;
	// PS -> //    wxStaticText* label_11;
	// PS -> //    wxTextCtrl* edtScale;
	// PS -> //    wxStaticText* label_12;
	// PS -> //    wxTextCtrl* edtSample;

//EED    wxCheckBox* chkIsoContoursVis;

//EED    wxCheckBox    *chkDiametersVis;
//EED    wxCheckBox    *chkInvertSliceOrder;
	// PS -> //    wxCheckBox* chkFillContours;
    wxPanel       *notebookParameterAxis;
	// PS -> //    wxStaticText* label_13;
	// PS -> //    wxTextCtrl* edtDistanceCdg;
    wxStaticText  *label_14;
    wxTextCtrl    *edtFlexionCoef;
    wxStaticText  *label_15;
    wxTextCtrl    *edtTensionCoef;
    wxStaticText  *label_16;
    wxTextCtrl    *edtMaskSize;
    wxStaticText  *label_17;
    wxTextCtrl    *edtDiscreetStep;
	// PS -> //    wxStaticText* label_18;
	// PS -> //    wxTextCtrl* edtVoxelX;
	// PS -> //    wxStaticText* label_19;
	// PS -> //    wxTextCtrl* edtVoxelY;
	// PS -> //    wxStaticText* label_20;
	// PS -> //    wxTextCtrl* edtVoxelZ;
	// PS -> //    wxStaticText* label_21;
	// PS -> //    wxButton* btnAxisColor;
	// PS -> //    wxRadioButton* radMinimum;
	// PS -> //    wxCheckBox* chkShowCell;
	// PS -> //    wxRadioButton* radNormal;
	// PS -> //    wxCheckBox* chkShowIntCell;
	// PS ->     wxStaticText* label_22;
	// PS ->     wxTextCtrl* edtDistanceInt;
	// PS ->     wxStaticText* label_26;
	// PS ->     wxTextCtrl* edtStepCoef;
	// PS ->     wxStaticText* label_28;
	// PS ->     wxTextCtrl* edtStep;
	// PS ->     wxStaticText* label_23;
	// PS ->     wxTextCtrl* edtCellMaxIntCoef;
	// PS ->     wxStaticText* label_25;
	// PS ->     wxTextCtrl* edtMassPower;
	// PS ->     wxPanel* panel_3;
	// PS ->     wxPanel* panel_4;
	// PS ->     wxStaticText* label_24;
	// PS ->     wxTextCtrl* edtCellCoef;
	// PS ->     wxStaticText* label_27;
	// PS ->     wxTextCtrl* edtROIDimension;
	// PS ->     wxPanel* panel_5;
	// PS ->     wxPanel* panel_6;
    wxPanel    *notebookParameterContour;



/* // EED Borrame
    wxCheckBox* chkArea;
    wxCheckBox* chkPerimeter;
    wxCheckBox* chkDiameterFromArea;
    wxCheckBox* chkDiameterFromPerimeter;
    wxCheckBox* chkMinimumDiameter;
    wxCheckBox* chkMaximumDiameter;
    wxCheckBox* chkAverageDiameter;
    wxRadioButton* radArea;
    wxRadioButton* radPerimeter;
    wxRadioButton* radDiameterFromArea;
    wxRadioButton* radDiameterFromPerimeter;
    wxRadioButton* radMinimumDiameter;
    wxRadioButton* radMaximumDiameter;
    wxRadioButton* radAverageDiameter;
    wxPanel* notebookParameterQuant;
*/

    wxNotebook  *notebookParameter;
    wxButton    *buttonOK;
    wxButton    *buttonCancel;
    wxButton    *buttonReset;
    wxButton    *buttonApply;
	wxButton    *buttonDefault;

    // end wxGlade
};


#endif // wxParametersDialog_H
